package com.ippon.article.couchbase.server.article;

import com.couchbase.client.deps.io.netty.handler.codec.http.HttpResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Collections;
import java.util.List;
import java.util.Set;

@RestController
public class ArticleController {

    private ArticleRepository repository;

    public ArticleController(ArticleRepository repository){
        this.repository = repository;
    }

    @PostMapping("/article")
    public ResponseEntity<Article> saveArticle(@RequestBody Article article) {
        Article saved = repository.save(article);
        return new ResponseEntity<>(saved, HttpStatus.OK);
    }
}
